<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:lang="en" xml:id="modbus_getTimeout">
  <refnamediv>
    <refname>modbus_getTimeout</refname>

    <refpurpose>retrieve Modbus connection timeout for response.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>res = modbus_getTimeout(mbc)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Arguments</title>
    <variablelist>
      <varlistentry>
        <term>mbc</term>
        <listitem>
          <para> The modbus connection created with modbus_newTcp or modbus_newRtu
          </para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>res</term>
        <listitem>
          <para> the timeout for response in ms.
          </para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>
    <para>This function returns the timeout interval for a response.</para>
    <para>Default timeout is set to 500ms.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"><![CDATA[
    mbc = modbus_newTcp("127.0.0.1", 502);
    modbus_getTimeout(mbc)
    modbus_close(mbc)
    ]]>
    </programlisting>

  </refsection>
  <refsection role="see also">
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="modbus_newTcp">modbus_newTcp</link>
      </member>
      <member>
        <link linkend="modbus_close">modbus_close</link>
      </member>
      <member>
        <link linkend="modbus_setTimeout">modbus_setTimeout</link>
      </member>
    </simplelist>
  </refsection>

</refentry>
